@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@100..900&family=Prompt:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Syne:wght@400..800&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --font: "Prompt", sans-serif;
  --font-color: #161515;
  --ipt-font-color: #e7e3e3;
  --ipt-placeholder-font-color: #b9e2d69f;
  --bg: #eee9e9;
  --max-width-container: 550px;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  background: var(--bg);
  min-height: 100vh;
}

main {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding: 1.25rem;
  width: 100%;
  max-width: var(--max-width-container);
}

.content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  max-width: var(--max-width-container);
}

.answer-container {
  margin-bottom: 2.25rem;
}

#answer {
  text-align: center;
  font-family: var(--font);
  font-weight: 500;
  font-size: 3.15rem;
  color: var(--font-color);
  text-shadow: 0 2px 10px rgba(0, 0, 0, 0.12);
}

.input-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

label {
  font-family: var(--font);
  font-size: 1.25rem;
  margin-bottom: .25rem;
}

input {
  font-family: var(--font);
  color: var(--ipt-font-color);
  font-size: 1.15rem;
  outline: none;
  width: 100%;
  background: rgba(9, 9, 252, 0.637);
  padding: 1rem .5rem;
  border-radius: 15px;
  border: 2px solid rgba(0, 0, 0, 0.185);
}

input:focus {
  background: rgba(67, 67, 255, 0.637);
  border: 2px solid rgba(62, 56, 92, 0.185);
}

input::placeholder {
  font-family: var(--font);
  color: var(--ipt-placeholder-font-color);
  font-size: 1.25rem;
}

.btn {
  cursor: pointer;
  font-family: var(--font);
  font-size: 1.05rem;
  margin-top: 1.65rem;
  padding: 1.5rem 2.7rem;
  border-radius: 12px;
  background: rgba(67, 67, 255, 0.637);
  border: 2px solid rgba(9, 9, 252, 0.637);
  box-shadow: 3px 5px 0 rgb(71, 71, 235);
  transition: 115ms ease;
}

.btn:hover {
  transform: translateY(2px) translateX(2px);
  box-shadow: 2px 4px 0 rgb(71, 71, 235);
}

.btn:active {
  transform: translateY(4px) translateX(4px);
  box-shadow: 1px 2px 0 rgb(71, 71, 235);
}

.btn:disabled {
  cursor: not-allowed;
  background: rgba(37, 37, 141, 0.637);
  border: 2px solid rgba(4, 4, 117, 0.637);
  box-shadow: 3px 5px 0 rgb(24, 24, 78);
}

.warn {
  text-align: justify;
  margin-top: 1.75rem;
  font-family: var(--font);
  font-size: 0.9rem;
}